/*
 * Copyright © Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.indexer.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class AugmenterSetting {
    private static final String PROPERTY_NAME =  "index-augmenter-enabled";

    @Autowired
    private BooleanFeatureFlagClient booleanFeatureFlagClient;

    public boolean isEnabled() {
        return booleanFeatureFlagClient.isEnabled(PROPERTY_NAME, true);
    }
}
